Production setup is not working

Hi, I am using this link https://frappeframework.com/docs/user/en/production-setup for setup production environment. but after it return me this error-

ERROR: bench 5.0.0 has requirement setuptools==40.8.0, but you’ll have setuptools 49.2.0 which is incompatible.

Please help

Hi,

May we know the operating platform you are installing in?

Using Ubuntu 18.04 and the easy install script instructions have been working for me.

I am using ubuntu 16.04

It’s not that hard

run bench setup requirements. If you need extra help, DM me

Hi @mymi14s Thanks It worked but I am facing new issue that is subprocess.calledprocesserror: command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘site.yml’, ‘-vvvv’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=ankit’]’ returned non-zero exit status 2

Can anyone please help me out.
Thanks

Check the python version you’re using
./env/bin/python

It should be 3+

Else migrate to 3.7

sudo pip install ansible

Hi @mymi14s, What if I have only install.py file and no environment.

It will create an environment for you. Go the the folder where you run bench

I am following these steps- https://github.com/frappe/bench#easy-install-script
Where am I doing wrong

In frappe bench there is env, I just activated it using source/bin/activate and then install pip install ansible and installed successfully.
After that I did run sudo python3 install.py then It prompts this----

Logs are saved under /tmp/logs/easy-install__2020-08-14__12-09.log
Checking System Compatibility…
ubuntu 16 is compatible!
curl already installed!
wget already installed!
git already installed!
pip3 already installed!
Input MySQL and Frappe Administrator passwords:
Passwords saved at ~/passwords.txt
Traceback (most recent call last):
** File “install.py”, line 437, in **
** install_bench(args)**
** File “install.py”, line 241, in install_bench**
** run_playbook(‘site.yml’, sudo=True, extra_vars=extra_vars)**
** File “install.py”, line 362, in run_playbook**
** success = subprocess.check_call(args, cwd=os.path.join(cwd, ‘playbooks’), stdout=log_stream, stderr=sys.stderr)**
** File “/usr/lib/python3.5/subprocess.py”, line 581, in check_call**
** raise CalledProcessError(retcode, cmd)**
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘site.yml’, ‘-vvvv’, ‘-e’, ‘@/tmp/extra_vars.json’, ‘–become’, ‘–become-user=ankit’]’ returned non-zero exit status 2

Install ansible as global
sudo pip install ansible

Reset your os

After wget install.py

sudo adduser myfrappe

sudo usermod -aG sudo myfrappe

sudo python3 install.py --production --user myfrappe --verbose

I’ve been stuck onto this issue for several days now on mac & ubuntu:

ERROR! Unexpected Exception, this is probably a bug: cannot import name ‘AnsibleCollectionLoader’ from ‘ansible.utils.collection_loader’ (/usr/local/lib/python3.8/dist-packages/ansible/utils/collection_loader/init.py)

ERROR: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘site.yml’, ‘-vvvv’, ‘-e’, ‘{“production”: true, “admin_emails”: “”, “mysql_root_password”: null, “container”: false}’, ‘-t’, ‘fail2ban’]’ returned non-zero exit status 250.

File “/usr/lib/python3.8/subprocess.py”, line 364, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘[‘ansible-playbook’, ‘-c’, ‘local’, ‘site.yml’, ‘-vvvv’, ‘-e’, ‘{“production”: true, “admin_emails”: “”, “mysql_root_password”: null, “container”: false}’, ‘-t’, ‘fail2ban’]’ returned non-zero exit status 250.
ERROR:
Traceback (most recent call last):
File “/usr/local/bin/bench”, line 11, in
load_entry_point(‘frappe-bench’, ‘console_scripts’, ‘bench’)()
File “/home/ubuntu/Desktop/Projects/MyProject/FE/bench-repo/bench/cli.py”, line 121, in cli

any inputs would be really helpful.

I got to resolve this issue by doing/following this: https://github.com/ansible/ansible-lint-action/issues/41#issuecomment-933663572

but now, I’m facing this issue: KeyError: “getpwnam(): name not found: ‘erpnext’”